org.eclipse.swt.browser

## Class LocationEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.browser.LocationEvent

    public class LocationEvent
    extends TypedEvent

A `LocationEvent` is sent by a `Browser` to `LocationListener`'s when the `Browser` navigates to a different URL. This notification typically occurs when the application navigates to a new location with `Browser.setUrl(String)` or when the user activates a hyperlink.

Since:
  1.0

### Field Summary

Fields
`boolean` `doit` A flag indicating whether the location loading should be allowed.
`java.lang.String` `location` current location
`boolean` `top` A flag indicating whether the location opens in the top frame or not.

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Method Summary

### Methods inherited from class org.eclipse.swt.events.TypedEvent

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### location

    public java.lang.String location

current location

#### top

    public boolean top

A flag indicating whether the location opens in the top frame or not.

#### doit

    public boolean doit

A flag indicating whether the location loading should be allowed. Setting this field to `false` will cancel the operation.

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0